﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Vikas.BSEPayment {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="PasswordRequest", Namespace="http://schemas.datacontract.org/2004/07/StarMFPaymentGatewayService")]
    [System.SerializableAttribute()]
    public partial class PasswordRequest : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MemberIdField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string PassKeyField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string PasswordField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UserIdField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MemberId {
            get {
                return this.MemberIdField;
            }
            set {
                if ((object.ReferenceEquals(this.MemberIdField, value) != true)) {
                    this.MemberIdField = value;
                    this.RaisePropertyChanged("MemberId");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string PassKey {
            get {
                return this.PassKeyField;
            }
            set {
                if ((object.ReferenceEquals(this.PassKeyField, value) != true)) {
                    this.PassKeyField = value;
                    this.RaisePropertyChanged("PassKey");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Password {
            get {
                return this.PasswordField;
            }
            set {
                if ((object.ReferenceEquals(this.PasswordField, value) != true)) {
                    this.PasswordField = value;
                    this.RaisePropertyChanged("Password");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string UserId {
            get {
                return this.UserIdField;
            }
            set {
                if ((object.ReferenceEquals(this.UserIdField, value) != true)) {
                    this.UserIdField = value;
                    this.RaisePropertyChanged("UserId");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Response", Namespace="http://schemas.datacontract.org/2004/07/StarMFPaymentGatewayService")]
    [System.SerializableAttribute()]
    public partial class Response : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string FillerField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ResponseStringField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string StatusField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Filler {
            get {
                return this.FillerField;
            }
            set {
                if ((object.ReferenceEquals(this.FillerField, value) != true)) {
                    this.FillerField = value;
                    this.RaisePropertyChanged("Filler");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string ResponseString {
            get {
                return this.ResponseStringField;
            }
            set {
                if ((object.ReferenceEquals(this.ResponseStringField, value) != true)) {
                    this.ResponseStringField = value;
                    this.RaisePropertyChanged("ResponseString");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Status {
            get {
                return this.StatusField;
            }
            set {
                if ((object.ReferenceEquals(this.StatusField, value) != true)) {
                    this.StatusField = value;
                    this.RaisePropertyChanged("Status");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="RequestParam", Namespace="http://schemas.datacontract.org/2004/07/StarMFPaymentGatewayService")]
    [System.SerializableAttribute()]
    public partial class RequestParam : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string AccNoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string BankIDField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ClientCodeField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string EncryptedPasswordField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string IFSCField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string LogOutURLField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MemberCodeField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ModeField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string[] OrdersField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string TotalAmountField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string AccNo {
            get {
                return this.AccNoField;
            }
            set {
                if ((object.ReferenceEquals(this.AccNoField, value) != true)) {
                    this.AccNoField = value;
                    this.RaisePropertyChanged("AccNo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string BankID {
            get {
                return this.BankIDField;
            }
            set {
                if ((object.ReferenceEquals(this.BankIDField, value) != true)) {
                    this.BankIDField = value;
                    this.RaisePropertyChanged("BankID");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string ClientCode {
            get {
                return this.ClientCodeField;
            }
            set {
                if ((object.ReferenceEquals(this.ClientCodeField, value) != true)) {
                    this.ClientCodeField = value;
                    this.RaisePropertyChanged("ClientCode");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string EncryptedPassword {
            get {
                return this.EncryptedPasswordField;
            }
            set {
                if ((object.ReferenceEquals(this.EncryptedPasswordField, value) != true)) {
                    this.EncryptedPasswordField = value;
                    this.RaisePropertyChanged("EncryptedPassword");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string IFSC {
            get {
                return this.IFSCField;
            }
            set {
                if ((object.ReferenceEquals(this.IFSCField, value) != true)) {
                    this.IFSCField = value;
                    this.RaisePropertyChanged("IFSC");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string LogOutURL {
            get {
                return this.LogOutURLField;
            }
            set {
                if ((object.ReferenceEquals(this.LogOutURLField, value) != true)) {
                    this.LogOutURLField = value;
                    this.RaisePropertyChanged("LogOutURL");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MemberCode {
            get {
                return this.MemberCodeField;
            }
            set {
                if ((object.ReferenceEquals(this.MemberCodeField, value) != true)) {
                    this.MemberCodeField = value;
                    this.RaisePropertyChanged("MemberCode");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Mode {
            get {
                return this.ModeField;
            }
            set {
                if ((object.ReferenceEquals(this.ModeField, value) != true)) {
                    this.ModeField = value;
                    this.RaisePropertyChanged("Mode");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string[] Orders {
            get {
                return this.OrdersField;
            }
            set {
                if ((object.ReferenceEquals(this.OrdersField, value) != true)) {
                    this.OrdersField = value;
                    this.RaisePropertyChanged("Orders");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string TotalAmount {
            get {
                return this.TotalAmountField;
            }
            set {
                if ((object.ReferenceEquals(this.TotalAmountField, value) != true)) {
                    this.TotalAmountField = value;
                    this.RaisePropertyChanged("TotalAmount");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="BSEPayment.IStarMFPaymentGatewayService")]
    public interface IStarMFPaymentGatewayService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IStarMFPaymentGatewayService/GetPassword", ReplyAction="http://tempuri.org/IStarMFPaymentGatewayService/GetPasswordResponse")]
        Vikas.BSEPayment.Response GetPassword(Vikas.BSEPayment.PasswordRequest Param);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IStarMFPaymentGatewayService/GetPassword", ReplyAction="http://tempuri.org/IStarMFPaymentGatewayService/GetPasswordResponse")]
        System.Threading.Tasks.Task<Vikas.BSEPayment.Response> GetPasswordAsync(Vikas.BSEPayment.PasswordRequest Param);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IStarMFPaymentGatewayService/PaymentGatewayAPI", ReplyAction="http://tempuri.org/IStarMFPaymentGatewayService/PaymentGatewayAPIResponse")]
        Vikas.BSEPayment.Response PaymentGatewayAPI(Vikas.BSEPayment.RequestParam Param);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IStarMFPaymentGatewayService/PaymentGatewayAPI", ReplyAction="http://tempuri.org/IStarMFPaymentGatewayService/PaymentGatewayAPIResponse")]
        System.Threading.Tasks.Task<Vikas.BSEPayment.Response> PaymentGatewayAPIAsync(Vikas.BSEPayment.RequestParam Param);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IStarMFPaymentGatewayServiceChannel : Vikas.BSEPayment.IStarMFPaymentGatewayService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class StarMFPaymentGatewayServiceClient : System.ServiceModel.ClientBase<Vikas.BSEPayment.IStarMFPaymentGatewayService>, Vikas.BSEPayment.IStarMFPaymentGatewayService {
        
        public StarMFPaymentGatewayServiceClient() {
        }
        
        public StarMFPaymentGatewayServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public StarMFPaymentGatewayServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public StarMFPaymentGatewayServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public StarMFPaymentGatewayServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public Vikas.BSEPayment.Response GetPassword(Vikas.BSEPayment.PasswordRequest Param) {
            return base.Channel.GetPassword(Param);
        }
        
        public System.Threading.Tasks.Task<Vikas.BSEPayment.Response> GetPasswordAsync(Vikas.BSEPayment.PasswordRequest Param) {
            return base.Channel.GetPasswordAsync(Param);
        }
        
        public Vikas.BSEPayment.Response PaymentGatewayAPI(Vikas.BSEPayment.RequestParam Param) {
            return base.Channel.PaymentGatewayAPI(Param);
        }
        
        public System.Threading.Tasks.Task<Vikas.BSEPayment.Response> PaymentGatewayAPIAsync(Vikas.BSEPayment.RequestParam Param) {
            return base.Channel.PaymentGatewayAPIAsync(Param);
        }
    }
}
